<?php
/**
 * Template part to render single post thumbnail
 * @since 2.5.0
 * @version 2.5.0
 * @var $helper Boombox_Single_Post_Template_Helper Template helper
 */

// Prevent direct script access.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'No direct script access allowed' );
}
$helper = Boombox_Template::init( 'post' );
$options = $helper->get_options();

$class = 's-post-media-img post-thumbnail';
if( $options[ 'featured_image' ] ) {
	$class .= ' hidden';
} ?>
<figure class="<?php echo esc_attr( $class ); ?>"><?php
	echo wp_kses($options[ 'featured_image' ], array_merge(
		wp_kses_allowed_html('post'),
		[
			'source' => [
				'type' => true,
				'src' => true,
			],
			'img' => [
				'src' => true,
				'alt' => true,
				'class' => true,
				'srcset' => true,
				'sizes' => true,
				'height' => true,
				'width' => true,
				'loading' => true,
				'decoding' => true,
				'data-lazy-src' => true,
			],
			'noscript' => [],
			'iframe' => [
				'src' => true,
				'id' => true,
				'oid' => true,
				'hash' => true,
				'class' => true,
				'title' => true,
				'height' => true,
				'width' => true,
				'loading' => true,
				'allow' => true,
				'frameborder' => true,
				'allowfullscreen' => true,
				'referrerpolicy' => true,
				'allowtransparency' => true,
				'scrolling' => true,
				'style' => true,
				'muted' => true,
				'autostart' => true,
				'originalSize' => true,
				'startWithHD' => true,
			],
		]
	))
?></figure>