<?php
/**
 * Template part to render mixed featured media
 * @since   2.5.0
 * @version 2.5.0
 */

// Prevent direct script access.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'No direct script access allowed' );
}

$protect_content= Boombox_Template::get_clean( 'protect_content' );
$media = Boombox_Template::get_clean( 'media' );
$caption = Boombox_Template::get_clean( 'caption' );
$media = apply_filters( 'boombox/single/component_content/media_mix', $media );

if( $protect_content || ! $media ) {
	return;
} ?>
<figure class="s-post-thumbnail post-thumbnail bb-mb-el"><?php
	echo wp_kses($media . $caption, array_merge(
		wp_kses_allowed_html('post'),
		[
			'source' => [
				'type' => true,
				'src' => true,
			],
            'span' => [
                'href' => true,
                'class' => true,
                'data-class' => true,
                'data-id' => true,
            ],
			'img' => [
				'src' => true,
				'alt' => true,
				'class' => true,
				'srcset' => true,
				'sizes' => true,
				'height' => true,
				'width' => true,
				'loading' => true,
				'decoding' => true,
				'data-lazy-src' => true,
			],
			'noscript' => [],
			'iframe' => [
				'src' => true,
				'id' => true,
				'oid' => true,
				'hash' => true,
				'class' => true,
				'title' => true,
				'height' => true,
				'width' => true,
				'loading' => true,
				'allow' => true,
				'frameborder' => true,
				'allowfullscreen' => true,
                'referrerpolicy' => true,
                'allowtransparency' => true,
                'scrolling' => true,
                'style' => true,
                'muted' => true,
                'autostart' => true,
                'originalSize' => true,
                'startWithHD' => true,
            ],
		]
	)); ?></figure>